<?php

namespace kernel\helpers;

class Version
{
    public static function getIntVersionByString(string $version): int
    {
        $version = preg_replace('/[^0-9]+/', '', $version);
        return match (strlen($version)) {
            1 => intval($version) * 100,
            2 => intval($version) * 10,
            3 => intval($version),
        };
    }
}